<?xml version="1.0" encoding="utf-8"?>
<!-- Copyright (C) 2011 The Android Open Source Project

     Licensed under the Apache License, Version 2.0 (the "License");
     you may not use this file except in compliance with the License.
     You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

     Unless required by applicable law or agreed to in writing, software
     distributed under the License is distributed on an "AS IS" BASIS,
     WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
     See the License for the specific language governing permissions and
     limitations under the License.
-->

<!-- Layout parameters are set programmatically. -->
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    android:paddingBottom="?android:attr/actionBarSize"
    android:divider="?android:attr/dividerHorizontal"
    android:showDividers="end">

    <FrameLayout
        android:id="@+id/voicemail_status"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentLeft="true"
        android:layout_alignParentBottom="true"
        android:visibility="gone">
        <include layout="@layout/call_log_voicemail_status"
    />
    </FrameLayout>
  <!--  

    <FrameLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        >
        <TextView
            android:id="@+id/filter_status"
            style="@style/ContactListSeparatorTextViewStyle"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/call_log_outer_margin"
            android:layout_marginRight="@dimen/call_log_outer_margin"
            android:paddingTop="@dimen/call_log_inner_margin"
            android:paddingBottom="@dimen/call_log_inner_margin"
            android:layout_alignParentLeft="true"
            android:layout_alignParentBottom="true"
            android:visibility="gone"
            />
        <View
            android:id="@+id/call_log_divider"
            android:layout_width="match_parent"
            android:layout_height="1px"
            android:layout_marginLeft="@dimen/call_log_outer_margin"
            android:layout_marginRight="@dimen/call_log_outer_margin"
            android:layout_gravity="bottom"
            android:background="#55ffffff"
            />
    </FrameLayout>
  -->  
    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">
           <LinearLayout
            android:layout_width="fill_parent"
            android:orientation="horizontal"
            android:gravity="center_vertical"
            android:layout_height="wrap_content"
            android:layout_weight="0">

            <LinearLayout
                android:id="@+id/slot_select_container"
                android:layout_width="wrap_content"
                android:orientation="horizontal"
                android:gravity="center_vertical"
                android:layout_height="wrap_content"
                android:layout_weight="0">
                <View
                    android:layout_width="20dip"
                    android:layout_weight="0"
                    android:layout_height="0dip"/>

                <ImageView
                    android:id="@+id/slot_list"
                    android:layout_height="wrap_content"
                    android:layout_width="wrap_content"
                    android:src="@drawable/ic_tab_sim1"
                    android:gravity="center_vertical|left"
                    android:layout_weight="1"/>

                <ImageView
                    android:id="@+id/slot_select"
                    android:layout_width="20dip"
                    android:layout_height="20dip"
                    android:layout_weight="1"
                    android:gravity="center_vertical|left"
                    android:background="@drawable/ic_tab_sim_select" />

                <View
                    android:layout_width="1dip"
                    android:layout_weight="0"
                    android:layout_height="match_parent"
                    android:layout_marginTop="3dip"
                    android:layout_marginBottom="3dip"
                    android:background="@drawable/divider_vertical_dark"/>
            </LinearLayout>

            <RadioGroup
                android:gravity="center_vertical"
                android:layout_gravity="bottom"
                android:orientation="horizontal"
                android:layout_width="fill_parent"
                android:layout_height="40dip"
                android:layout_weight="1">

                <RadioButton
                    android:id="@+id/call_all"
                    android:checked="true"
                    android:drawableTop="@drawable/ic_tab_call_all"
                    style="@style/call_log_tab_bottom"/>

                <RadioButton
                    android:id="@+id/call_in"
                    android:drawableTop="@drawable/ic_tab_call_in"
                    style="@style/call_log_tab_bottom"/>

                <RadioButton
                    android:id="@+id/call_out"
                    android:drawableTop="@drawable/ic_tab_call_outgoing"
                    style="@style/call_log_tab_bottom"/>

                <RadioButton
                    android:id="@+id/call_miss"
                    android:drawableTop="@drawable/ic_tab_call_miss"
                    style="@style/call_log_tab_bottom"/>
            </RadioGroup>
        
        </LinearLayout>
        <ListView android:id="@android:id/list"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:fadingEdge="none"
            android:scrollbarStyle="outsideOverlay"
            android:divider="@null"
        />
        <TextView android:id="@android:id/empty"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:text="@string/recentCalls_empty"
            android:gravity="center"
            android:layout_marginTop="@dimen/empty_message_top_margin"
            android:textColor="?android:attr/textColorSecondary"
            android:textAppearance="?android:attr/textAppearanceLarge"
        />
        </LinearLayout>
    </FrameLayout>
</LinearLayout>
